<!DOCTYPE html>
<html lang="hr">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-9ndCyUaIbzAi2FUVXJi0CjmCapSmO7SnpJef0486qhLnuZ2cdeRhO02iuK6FUUVM" crossorigin="anonymous">
    <link rel="stylesheet" href="CSS/unos.css">
    <title>Imaginarna firma - HR</title>

<body>

    <header>
        <nav class="navbar navbar-expand-md navbar-dark fixed-top bg-primary bg-dark mb-5">
            <div class="container" id="NavBarTop">
                <a class="navbar-brand" href="index.html">
                    <img src="images/imaginarnaTvrtkaLogo.png" width="30" height="30" class="d-inline-block align-top"
                        alt="Imaginarna tvrtka Logo">
                    Imaginarna tvrtka
                </a>

                <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse"
                    aria-controls="navbarCollapse" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarCollapse">
                    <ul class="nav navbar-nav">
                        <li class="nav-item pt-1">
                            <a class="nav-link" href="index.html">Naslovnica</a>
                        </li>
                        <li class="nav-item pt-1">
                            <a class="nav-link active" href="unos.html">Unos podataka</a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
    </header>

    <main class="container my-3 py-5" role="main">
        <div class="text-center my-4 mb-5 text-primary">
            <h1>Unesite informacije o zaposleniku</h1>
        </div>
        <form class="needs-validation" novalidate id="forma">
            <div class="row gy-md-4 gy-5">
                <div class="col-md-6 mb-md-3 mb-3">
                    <label for="ime" class="form-label">Ime</label>
                    <input type="text" class="form-control upis" id="ime" placeholder="Tena" minlength="2"
                        maxlength="25" required>
                    <div class="invalid-feedback" id="imeValidation">
                        Potrebno je upisati valjano ime!
                    </div>
                </div>
                <div class="col-md-6 mb-md-3 mb-3">
                    <label for="prezime" class="form-label">Prezime</label>
                    <input type="text" class="form-control upis" id="prezime" placeholder="Tunjić" minlength="2"
                        maxlength="25" required>
                    <div class="invalid-feedback" id="prezimeValidacija">
                        Potrebno je upisati valjano prezime!
                    </div>
                </div>
                <div class="col-md-6 mb-md-3  mb-3">
                    <label for="email" class="form-label">Email</label>
                    <div class="input-group has-validation">
                        <span class="input-group-text">@</span>
                        <input type="email" class="form-control upis" id="email" placeholder="TenaTunjic@gmail.com"
                            required minlength="2">
                        <div class="invalid-feedback" id="emailAdresa">
                            Potrebno je upisati valjanu email adresu!
                        </div>
                    </div>
                </div>
                <div class="col-md-6 mb-md-3  mb-3">
                    <label for="adresa" class="form-label">Adresa</label>
                    <input type="text" class="form-control upis" id="adresa" placeholder="Tunjski 5B, Zagreb"
                        minlength="2" maxlength="60" required>
                    <div class="invalid-feedback" id="adresaValidacija">
                        Potrebno je upisati valjanu adresu!
                    </div>
                </div>
                <div class="col-md-6 mb-md-3  mb-3">
                    <label for="brojMobitela" class="form-label">Broj mobitela</label>
                    <input type="text" class="form-control upis" id="brojMobitela" placeholder="0991234567" required
                        minlength="10">
                    <div class="invalid-feedback zadnji" id="brojMobitelaValidacija">
                        Potrebno je upisati valjani broj mobitela!
                    </div>
                </div>
                <div class="mt-2 gumbic">
                    <button class="btn btn-primary mt-4" type="button" id="upisiDjelatnika" disabled>Upiši
                        djelatnika</button>
                </div>
            </div>
        </form>
    </main>

    <div class="toast-container position-fixed top-0 start-50 translate-middle-x p-3">
        <div id="myToast" class="toast toast align-items-center text-center text-bg-success border-0" role="alert"
            aria-live="assertive" aria-atomic="true" data-delay="2000">
            <div class="toast-body">
                Uspješno ste upisali novog djelatnika!
            </div>
        </div>
    </div>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/uuid/8.3.2/uuid.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"
        integrity="sha384-geWF76RCwLtnZ8qwWowPQNguL3RmwHVBC9FhGdlKrxdiJJigb/j/68SIy3Te4Bkz"
        crossorigin="anonymous"></script>
    <script type="text/javascript" src="jquery-3.7.0.min.js"></script>
    <script src="JS/validirajPodatkeUnos.js"></script>
    <script src="JS/autoCloseNavbar.js"></script>

</body>

</html>